org.apache.ignite.internal.processors.cluster

## Class ClusterProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.cluster.ClusterProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class ClusterProcessor
    extends GridProcessorAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`ClusterProcessor(GridKernalContext ctx)`

### Method Summary

Methods
`IgniteFuture<?>` `clientReconnectFuture()`
`IgniteClusterImpl` `get()`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectDiscoveryData, discoveryDataType, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterProcessor

    public ClusterProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### get

    public IgniteClusterImpl get()

Returns:
  Cluster.

#### clientReconnectFuture

    public IgniteFuture<?> clientReconnectFuture()

Returns:
  Client reconnect future.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015